Package Details: savage2 2.1.0.8-1

Git Clone URL: https://aur.archlinux.org/savage2.git (read-only)
Package Base: savage2
Description: Savage 2: A Tortured Soul is an fantasy themed online multiplayer team-based FPS/RTS/RPG hybrid. Completely free as of December 2008.
Upstream URL: http://savage2.com/
Licenses: custom: "Savage 2"
Submitter: Tjuh
Maintainer: Slash
Last Packager: Slash
Votes: 65
Popularity: 0.000867
First Submitted: 2008-07-14 15:10
Last Updated: 2015-06-08 17:51

Pinned Comments

Slash commented on 2016-03-21 03:54

The Savage2 installer files are missing from the official s2games.com server.

You'll need to manually download the appropriate .run file from one of the "Off Site HTTP Downloads" mirrors manually before attempting to build this package:

http://savage2.com/en/download.php

Latest Comments

« First ‹ Previous 1 2 3 4 5 6 Next › Last »

Slash commented on 2012-03-01 00:54

@Heretik: Try building and installing the PKGBUILD without yaourt.

@branec: This issue should be fixed now, but you may get the same error as Heretik if you use yaourt to install. "PKGEXT='.pkg.tar'" disables compression on the built package, and it looks like yaourt does not like that.

Anonymous comment on 2012-02-29 14:08

Arch x86_64:

Création finie : savage2 2.1.0.5-1
Installer savage2 ?
=> v (namcap)
Error: Problem reading /home/heretik/tmp/yaourt-tmp-heretik/PKGDEST.Lt2/*.pkg.tar.xz
Usage: /usr/lib/python3.2/site-packages/namcap.py [OPTIONS] packages
...
Installer savage2 ?
==> o
Mot de passe :
chargement des paquets…
Erreur : '/home/heretik/tmp/yaourt-tmp-heretik/PKGDEST.hLz/*.pkg.tar.xz': impossible de trouver ou de lire le paquet

I need your help please.

Anonymous comment on 2012-02-27 13:37

Hi no install savage2

==> Start build()...
There has been an error.
Error copying file
rm: can not be removed `/tmp/yaourt-tmp-branec/aur-savage2/pkg/opt/savage2/rollbackBackupDirectory/home/': There is no such file or directory
==> CHYBA: Error occurred in build().
Ongoing disturbance...
==> ERROR: Makepkg was unable to build savage2.
==> Restart building savage2 ? [y/N]
==> --------------------------------
==>


Arch 32bit KDE, thank you for your answer....

Slash commented on 2012-02-15 23:44

Thanks, updated.

Anonymous comment on 2012-02-15 04:52

http://188.40.92.72/Savage2-2.1.0.5-linux-installer.run
and
http://188.40.92.72/Savage2-2.1.0.5-linux-x64-installer.run

Slash commented on 2012-02-14 23:28

Does anyone have a direct link to the 2.1.0.5 linux installers?

Anonymous comment on 2011-12-29 12:56

Yes - imchairmanm is right - sorry that I forgot to inform you guys here. We can now take care of many problems ourselves and the update loop problem has been fixed. So everyone installing Savage2 should just install it and not alter the files as suggested - everything is fine now and new installers are incoming very soon.

Anonymous comment on 2011-12-18 21:26

I don't understand. The community just recently got access to the patch server, so the automatic updates actually are working. For the first time in years. You might have to adjust permissions of the game directory, but the updates certainly work.

Slash commented on 2011-12-06 00:52

I updated the install script to tell the user to disable automatic updates since they do not work.

Anonymous comment on 2011-04-19 09:45

I have a problem executing it: i just get a black screen, sound works and my pointer is free to move where i want.
I got this message from the console

$ savage2
warning: The VAD has been replaced by a hack pending a complete rewrite

can anyone help me?